#python

import k3d
import sys

factories = k3d.plugins()

file_object = open('Plugin_list.txt', 'w')


file_object.write( "\n\nApplication Plugins:\n" )
for factory in factories :
	if factory.is_application_plugin :
		file_object.write( "\t" + factory.name + "\n")


file_object.write( "\n\nDocument Plugins:\n" )
for factory in factories :
	if factory.is_document_plugin :
		file_object.write( "\t" + factory.name + "\n" )

file_object.write( "\n\n" )
file_object.close( )

k3d.ui.message("Out put written to k3d/Plugin_list.txt")



